#include<iostream>
#include<string>

using namespace std;

typedef long long int lli;

int main(){
    lli arri[3];
    string arrs[6];
    
    cin >> arri[0] >> arri[1] >> arri[2];
    
    arrs[0] = to_string(arri[0]) + to_string(arri[1]) + to_string(arri[2]);
    arrs[1] = to_string(arri[0]) + to_string(arri[2]) + to_string(arri[1]);
    arrs[2] = to_string(arri[1]) + to_string(arri[0]) + to_string(arri[2]);
    arrs[3] = to_string(arri[1]) + to_string(arri[2]) + to_string(arri[0]);
    arrs[4] = to_string(arri[2]) + to_string(arri[0]) + to_string(arri[1]);
    arrs[5] = to_string(arri[2]) + to_string(arri[1]) + to_string(arri[0]);
    
    string sol = arrs[0];
    for(int i = 1; i < 6; i++)
        if(sol < arrs[i]) sol = arrs[i];
        
    
    cout << sol;
    return 0;
}